Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 601848 - extra copies of entitlement cert created by rhsm daemon
extra copies of entitlement cert created by rhsm daemon
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.1
All Linux
medium Severity medium
: rc
: ---
Assigned To: Bryan Kearney
wes hayutin
:
Depends On:
Blocks: 568421
  Show dependency treegraph
 
Reported: 2010-06-08 14:35 EDT by wes hayutin
Modified: 2011-05-19 09:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:37:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 13:56:21 EDT

  None (edit)
Description wes hayutin 2010-06-08 14:35:37 EDT
[root@iolo product]# subscription-manager-cli unregister
[root@iolo product]# ls /etc/pki/
CA  consumer.old  java  nssdb  product  rpm-gpg  tls
[root@iolo product]# ls /etc/pki/product/
autoProdCert--1776117212.pem

[root@iolo product]# subscription-manager-cli register --username=admin --pass=admin --force
43b5d8b6-74e5-4eba-aa9b-b347c8234bd8 admin admin
[root@iolo product]# 

[root@iolo product]# ls /etc/pki/
CA  consumer  consumer.old  entitlement  java  nssdb  product  rpm-gpg  tls
[root@iolo product]# ls /etc/pki/entitlement/product/
[root@iolo product]# ls /etc/pki/product/
autoProdCert--1776117212.pem
[root@iolo product]# subscription-manager-cli list --available
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+


Name:              	High availability (cluster suite)
Product SKU:       	37065                    
PoolId:            	1                        
quantity:          	10                       
Expires:           	Thu Jul 12 20:00:00 2012 


Name:              	Load Balancing           
Product SKU:       	37070                    
PoolId:            	2                        
quantity:          	10                       
Expires:           	Thu Jul 12 20:00:00 2012 


Name:              	Shared Storage (GFS)     
Product SKU:       	37067                    
PoolId:            	3                        
quantity:          	10                       
Expires:           	Thu Jul 12 20:00:00 2012 


Name:              	Large File Support (XFS) 
Product SKU:       	37068                    
PoolId:            	4                        
quantity:          	10                       
Expires:           	Thu Jul 12 20:00:00 2012 


Name:              	Smart Management (RHN Management & Provisioing & Monitoring)
Product SKU:       	37069                    
PoolId:            	5                        
quantity:          	10                       
Expires:           	Thu Jul 12 20:00:00 2012 


Name:              	Flexible Hypervisor(Physical Servers-Unlimited)
Product SKU:       	38                       
PoolId:            	6                        
quantity:          	10                       
Expires:           	Thu Jul 12 20:00:00 2012 


Name:              	Flexible Hypervisor(Premium Architectures-15-pack)
Product SKU:       	37                       
PoolId:            	7                        
quantity:          	10                       
Expires:           	Thu Jul 12 20:00:00 2012 


Name:              	RHEL for Physical Servers SVC
Product SKU:       	37060                    
PoolId:            	8                        
quantity:          	10                       
Expires:           	Thu Jul 12 20:00:00 2012 


Name:              	RHEL for Physical Servers
Product SKU:       	MKT-rhel-server          
PoolId:            	9                        
quantity:          	10                       
Expires:           	Thu Jul 12 20:00:00 2012 


Name:              	RHEL for Physical Servers ,2 Sockets, Standard Support with High
Availability,Load Balancing,Shared Storage,Large File Support,Smart
Management, Flexible Hypervisor(Unlimited)
Product SKU:       	MKT-rhel-physical-2-socket
PoolId:            	10                       
quantity:          	10                       
Expires:           	Thu Jul 12 20:00:00 2012 


Name:              	RHEL for Physical Servers ,2 Sockets, L1-L3, Premium Support
Product SKU:       	MKT-rhel-physical-servers-only
PoolId:            	11                       
quantity:          	10                       
Expires:           	Thu Jul 12 20:00:00 2012 


Name:              	RHEL for Physical Servers ,4 Sockets, L1-L3, Premium Support
Product SKU:       	MKT-rhel-physical-2-sockets-premium
PoolId:            	12                       
quantity:          	10                       
Expires:           	Thu Jul 12 20:00:00 2012 


Name:              	RHEL for Premium Architectures SVC
Product SKU:       	37062                    
PoolId:            	14                       
quantity:          	10                       
Expires:           	Thu Jul 12 20:00:00 2012 


Name:              	RHEL for Premium Architectures, 16 socket, L1-L3, Standard support
Product SKU:       	MKT-rhel-prem-arch-16-socket-standard
PoolId:            	19                       
quantity:          	10                       
Expires:           	Thu Jul 12 20:00:00 2012 


Name:              	RHEL for Physical Servers ,2 Sockets, L1-L3, Basic Support
Product SKU:       	MKT-rhel-physical-2-sockets-basic
PoolId:            	13                       
quantity:          	10                       
Expires:           	Thu Jul 12 20:00:00 2012 


Name:              	RHEL for Premium Architectures
Product SKU:       	MKT-rhel-premium         
PoolId:            	18                       
quantity:          	9                        
Expires:           	Thu Jul 12 20:00:00 2012 

[root@iolo product]# subscription-manager-cli subscribe --pool=18
[root@iolo product]# ls /etc/pki/entitlement/product/
12.pem
[root@iolo product]# subscription-manager-cli subscribe --pool=18
[root@iolo product]# ls /etc/pki/entitlement/product/
12(1).pem  12.pem  13.pem
[root@iolo product]#
Comment 1 wes hayutin 2010-07-22 14:46:01 EDT
we will try to recreate
Comment 2 wes hayutin 2010-08-09 18:21:28 EDT
I just recreated this on jsefler's test box.. 
need to add doc
Comment 3 wes hayutin 2010-08-10 08:52:39 EDT
[root@localhost src]# ./subscription-manager-cli unregister
[root@localhost src]# ./subscription-manager-cli register --username=xeops
Error: username and password are required to register, try register --help.
commit abe3337c15579b95c013d956890e6b85e70997f0



[root@localhost src]# --pass=redhat --type=candlepin --force^C
[root@localhost src]# ./subscription-manager-cli register --username=xeops --pass=redhat --type=candlepin
0185848b-79c5-474f-a2a6-f829f6cae429 xeops
[root@localhost src]# ./subscription-manager-cli list --available
0185848b-79c5-474f-a2a6-f829f6cae429
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+


ProductName:       	Red Hat Enterprise Linux Advanced Platform, Premium
                        (Unlimited Sockets) w/ 24 x 7 Phone/Web Support
ProductId:         	SYS0373                  
PoolId:            	608                      
Quantity:          	11                       
Expires:           	2011-08-01               


ProductName:       	Red Hat Enterprise Linux Advanced Platform, Standard
                        (Unlimited Sockets)
ProductId:         	SYS0372                  
PoolId:            	609                      
Quantity:          	1                        
Expires:           	2010-12-31               


ProductName:       	JBoss jBPM Framework (for up to 4 CPUs), Premium (w/ 24 x 7
                        Phone/Web Support)
ProductId:         	SYS0415                  
PoolId:            	610                      
Quantity:          	1                        
Expires:           	2012-02-05               


ProductName:       	Red Hat Enterprise Linux Advanced Platform, Standard
                        (Unlimited Sockets)
ProductId:         	SYS0372                  
PoolId:            	611                      
Quantity:          	0                        
Expires:           	2010-12-31               


ProductName:       	RHN Provisioning + Management
ProductId:         	SYS0081                  
PoolId:            	612                      
Quantity:          	0                        
Expires:           	2010-12-31               


ProductName:       	Red Hat Desktop Extension Pack
ProductId:         	MCT0475                  
PoolId:            	613                      
Quantity:          	50                       
Expires:           	2011-07-13               

[root@localhost src]# ./subscription-manager-cli subscribe --pool=608
[root@localhost src]# ./subscription-manager-cli subscribe --pool=609 --pool=610
[root@localhost src]# ls /etc/pki/entitlement/product/
1643(1).pem  1643.pem  1644.pem  1645.pem


****************
LOG

2010-08-10 08:44:19,958 [INFO] _request() @connection.py:64 - work in insecure mode ?:True
2010-08-10 08:44:26,649 [INFO] _request() @connection.py:80 - response:[{"serial":1643}]
2010-08-10 08:44:26,650 [INFO] _request() @connection.py:81 - status code: 200
2010-08-10 08:44:26,652 [INFO] _request() @connection.py:62 - loading ca_file located at: /etc/pki/CA/candlepin.pem
2010-08-10 08:44:26,653 [INFO] _request() @connection.py:64 - work in insecure mode ?:True
2010-08-10 08:44:34,877 [INFO] _request() @connection.py:80 - response:[{"serial":{"id":1643,"expiration":"2011-08-01T04:00:00.000+0000","serial":1643,"revoked":false,"collected":false,"updated":"2010-08-10T16:44:15.915+0000","created":"2010-08-


Expected (UEP) serial# [1643]
Added (new)
  [sn:1643 (Red Hat Enterprise Linux Advanced Platform, Premium (Unlimited Sockets) (Legacy SVC0373),) @ /etc/pki/entitlement/product/1643.pem]
Deleted (rogue):
  <NONE>
Expired (not deleted):
  [sn:1643 (Red Hat Enterprise Linux Advanced Platform, Premium (Unlimited Sockets) (Legacy SVC0373),) @ /etc/pki/entitlement/product/1643.pem]
Expired (deleted):
  <NONE>


  [sn:1644 (Red Hat Enterprise Linux Advanced Platform,) @ /etc/pki/entitlement/product/164
4.pem]
  [sn:1645 (JBoss jBPM Framework (for up to 4 CPUs), Premium,) @ /etc/pki/entitlement/produ
ct/1645.pem]
Deleted (rogue):
  <NONE>
Expired (not deleted):
  [sn:1643 (Red Hat Enterprise Linux Advanced Platform, Premium (Unlimited Sockets) (Legacy
 SVC0373),) @ /etc/pki/entitlement/product/1643(1).pem]
  [sn:1645 (JBoss jBPM Framework (for up to 4 CPUs), Premium,) @ /etc/pki/entitlement/produ
ct/1645.pem]
  [sn:1643 (Red Hat Enterprise Linux Advanced Platform, Premium (Unlimited Sockets) (Legacy SVC0373),) @ /etc/pki/entitlement/product/1643.pem]
  [sn:1644 (Red Hat Enterprise Linux Advanced Platform,) @ /etc/pki/entitlement/product/1644.pem]
Expired (deleted):
  <NONE>
Comment 4 Ajay Kumar Nadathur Sreenivasan 2010-08-24 11:11:20 EDT
subscription manager gets confused when certificates were in grace period. so it tries to write them again. 
fix in sha: 3c72819429d6a7fa3043179d7cd77c982e514b1e
Comment 5 John Sefler 2010-09-07 15:35:28 EDT
[root@jsefler-rhel6-client01 ~]# rpm -q subscription-manager
subscription-manager-0.75-1.git.29.c3b1d88.fc12.i386
[root@jsefler-rhel6-client01 ~]# subscription-manager-cli unregister
This system is currently not registered.
[root@jsefler-rhel6-client01 ~]# subscription-manager-cli register --username=admin --pass=admin
8cd31b4d-6d0d-4869-8368-51d258b923b4 admin
[root@jsefler-rhel6-client01 ~]# ls /etc/pki/product/
[root@jsefler-rhel6-client01 ~]# subscription-manager-cli list --available
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+


ProductName:       	RHEL for Physical Servers
ProductId:         	MKT-rhel-server          
PoolId:            	1                        
Quantity:          	10                       
Expires:           	2011-09-06               


ProductName:       	Basic RHEL Server        
ProductId:         	MKT-simple-rhel-server-mkt
PoolId:            	2                        
Quantity:          	10                       
Expires:           	2011-09-06               


ProductName:       	RHEL Workstation         
ProductId:         	MKT-rhel-workstation-mkt 
PoolId:            	3                        
Quantity:          	10                       
Expires:           	2011-09-06               


ProductName:       	RHEL for Physical Servers ,2 Sockets, Standard Support with
                        High Availability,Load Balancing,Shared Storage,Large File
                        Support,Smart Management, Flexible Hypervisor(Unlimited)
ProductId:         	MKT-rhel-physical-2-socket
PoolId:            	5                        
Quantity:          	10                       
Expires:           	2011-09-06               


ProductName:       	RHEL for Physical Servers ,2 Sockets, L1-L3, Premium Support
ProductId:         	MKT-rhel-physical-servers-only
PoolId:            	6                        
Quantity:          	10                       
Expires:           	2011-09-06               


ProductName:       	RHEL for Physical Servers ,4 Sockets, L1-L3, Premium Support
ProductId:         	MKT-rhel-physical-2-sockets-premium
PoolId:            	7                        
Quantity:          	10                       
Expires:           	2011-09-06               


ProductName:       	RHEL for Physical Servers ,2 Sockets, L1-L3, Basic Support
ProductId:         	MKT-rhel-physical-2-sockets-basic
PoolId:            	8                        
Quantity:          	10                       
Expires:           	2011-09-06               


ProductName:       	RHEL for Premium Architectures
ProductId:         	MKT-rhel-premium         
PoolId:            	10                       
Quantity:          	10                       
Expires:           	2011-09-06               


ProductName:       	RHEL for Premium Architectures, 16 socket, L1-L3, Standard
                        support
ProductId:         	MKT-rhel-prem-arch-16-socket-standard
PoolId:            	11                       
Quantity:          	10                       
Expires:           	2011-09-06               

[root@jsefler-rhel6-client01 ~]# subscription-manager-cli subscribe --pool=11
[root@jsefler-rhel6-client01 ~]# ls /etc/pki/product/
[root@jsefler-rhel6-client01 ~]# ls /etc/pki/entitlement/product/
3.pem
[root@jsefler-rhel6-client01 ~]# subscription-manager-cli subscribe --pool=11
This consumer is already subscribed to the product matching pool with id '11'
[root@jsefler-rhel6-client01 ~]# ls /etc/pki/entitlement/product/
3.pem
[root@jsefler-rhel6-client01 ~]# subscription-manager-cli subscribe --pool=11 --pool=10
This consumer is already subscribed to the product matching pool with id '11'
[root@jsefler-rhel6-client01 ~]# ls /etc/pki/entitlement/product/
3.pem  4.pem
[root@jsefler-rhel6-client01 ~]# subscription-manager-cli subscribe --pool=11 --pool=10
This consumer is already subscribed to the product matching pool with id '11'
This consumer is already subscribed to the product matching pool with id '10'


extra copies of entitlement cert are no longer being created
Moving to VERIFIED
Comment 7 errata-xmlrpc 2011-05-19 09:37:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html

Note You need to log in before you can comment on or make changes to this bug.